Kerbal Space Program - Bug #4902

Randomly unable to create a maneuver node (tracking station is upgraded)
05/02/2015 11:35 PM - mashedbandit

Status: Closed Start date: 05/02/2015
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.1 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

For no obvious reason I'm no longer able to create maneuver nodes despite using them without any problem earlier in the same
flight. |1 don't have any mods installed nor have | ever used one. This seems to be a really common (and often very frustrating) issue
that's been around for so long that a lot of people seem to have just written it off as "deal with it". The issue seems to reach different
degrees of "brokenness", where sometimes it can be fixed by adjusting the camera angle and other times it's just plain impossible to
create a maneuver node at all. The issue seems to be exacerbated (but not caused) by orbits being similar to one another. There
are several workarounds that are often suggested and one of them usually works:

- Have a Kerbal do an EVA and then board again; even just getting on the ladder is fine

- Switch control to a nearby ship and back again

- Quicksave + quickload

- Leave the flight in progress, go to the tracking station, then take control of the flight again

- Make a slight course adjustment

- Exit the game and restart

- Shift the camera around until it works (doesn't usually help when it's become truly "broken")

- Use a mod to set a maneuver node for the distant future, then move it back

Here's a custom Google search set to a date range which ends prior to 0.9's release (to avoid confusion about upgrading the tracking
station) but unfortunately there's still a lot of irrelevant results:

https://www.google.ca/search?g=ksp+can%27t+create+maneuver+node&espv=2&biw=1604&bih=894&source=Int&tbs=cdr¥%3A1%2
Ccd_min%3A2010-01-01%2Ccd_max%3A2014-12-01&tbm=#tbs=cdr:1%2Ccd min:2010-01-01%2Ccd_max:2014-12-01&q=%22ker
bal+space+program%22+can%27t+create+maneuver+node

Here are a few results from the KSP forum:

http://forum.kerbalspaceprogram.com/threads/78022-Okay-this-is-weird-and-really-annoying

http:/forum.kerbalspaceprogram.com/threads/41592-Can-t-plan-a-manuever-on-the-blue-trajectory

http://forum.kerbalspaceprogram.com/threads/84602-Cannot-Create-Maneuver-Node

I'm setting the priority to "high" as this is a long-standing bug in a critical game system and it would reasonably be expected to
function reliably in a "1.0" release.

History

#1 - 05/12/2015 01:44 PM - Fuebar

Confirming this still occurs in 1.0.2. Same problem, quicksaving and reloading fixes it.

#2 - 11/19/2015 02:44 PM - sal_vager
- Severity changed from High to Low

Changing priority to low as this issue can be worked around fairly easily by changing planet focus with the tab key to the planet you wish to place
maneuvers around.

Please use the wiki priority table when selecting priority for an issue.

http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

#4 - 07/17/2016 09:40 AM - TriggerAu

- Status changed from New to Needs Clarification

#5 - 08/09/2016 01:51 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http: .kerbal rogram.com

You can also ask questions about the bug cleanup in the forum here

acker/ and tag @TriggerAu to get my attention
